### Property

# Gtk ComboBox:active

since: 4.0

#### Declaration

    property active: int [ read, write ]

#### Description [src]

The item which is currently active.

If the model is a non-flat treemodel, and the active item is not an immediate child of the root of the tree, this property has the value `gtk_tree_path_get_indices (path)[0]`, where `path` is the `GtkTreePath` of the active item.

Type: | `gint`
Available since: | 4.0

Default value | -1
Getter method | `gtk_combo_box_get_active()`
Setter method | `gtk_combo_box_set_active()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no